Gatana logoGatana Docs
RoutesProfilesProfileid

/profiles/{profileId}

Get one profile with its MCP servers and server credentials

GET
/profiles/{profileId}
AuthorizationBearer <token>

In: header

Path Parameters

profileId*string

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/profiles/string"
{
  "profile": {
    "tenantId": "string",
    "id": "string",
    "createdBy": "string",
    "name": "string",
    "description": "string",
    "isOpenToAllUsers": true,
    "isRestrictive": true,
    "isCodeModeForced": true,
    "createdAt": "string",
    "updatedAt": "string",
    "servers": [
      {
        "name": "string",
        "slug": "string",
        "authorization": {
          "method": "none",
          "credentialsScope": "server",
          "apikeys": [
            "string"
          ],
          "toolRefreshCredentialPolicy": "server-scoped"
        },
        "credentialsNumKeys": 0,
        "credentialScope": "server",
        "credentials": {
          "id": "string",
          "tenantId": "string",
          "scope": "server",
          "userId": "string",
          "profileId": "string",
          "lastUsedAt": "string",
          "authorizedAt": "string",
          "type": "oauth",
          "createdAt": "string",
          "updatedAt": "string",
          "serverSlug": "string",
          "userEmail": "string",
          "userName": "string",
          "profileName": "string",
          "apikeysPresent": [
            "string"
          ],
          "subject": "string",
          "email": "string"
        }
      }
    ]
  }
}